using IRaCIS.Core.Domain.Share;
namespace IRaCIS.Core.Domain.Models;

[Comment("后台 - 系统标准器官  (需要同步)")]
[Table("OrganInfo")]
public class OrganInfo : BaseAddAuditEntity
{

    #region 导航属性

    #endregion
    [Comment("分类")]
    public string Classification { get; set; } = string.Empty;

    [Comment("分类 英文")]
    public string ClassificationEN { get; set; } = string.Empty;

    [Comment("部位")]
    public string Part { get; set; } = string.Empty;

    [Comment("部位 英文")]
    public string PartEN { get; set; } = string.Empty;

    [Comment("TULOC 器官")]
    public string TULOC { get; set; } = string.Empty;

    [Comment("TULOC 器官 英文")]
    public string TULOCEN { get; set; } = string.Empty;

    [Comment("位置")]
    public string TULAT { get; set; } = string.Empty;
    [Comment("位置 英文")]
    public string TULATEN { get; set; } = string.Empty;

    [Comment("备注")]
    public string Remark { get; set; } = string.Empty;
    [Comment("是否是淋巴结")]
    public IsLymph IsLymphNodes { get; set; }

    [Comment("器官类型")]
    public OrganType OrganType { get; set; }

    [Comment("标准Id")]
    public Guid SystemCriterionId { get; set; }
    [Comment("是否可编辑位置")]
    public bool IsCanEditPosition { get; set; }

    [Comment("序号")]
    public int ShowOrder { get; set; } = 0;
}
